Mailinglist Archive: opensuse-buildservice (96 mails)

< Previous Next >
Re: [opensuse-buildservice] Denying source access?
On Dienstag, 27. September 2016, 17:02:05 CEST wrote Erico Mendonca:
Hello all,

I need to restrict source access in a few packages. I found out about the
“<sourceaccess><disable/></sourceaccess>” tags, but whenever I try to edit a
package, either via the WebUI or via “osc meta pkg -e”, I get a permission
error:

BuildService API error: change_package_protection_level (403)
admin rights are required to raise the protection level of a package.

However, I do have all permissions for the package. I even tried as Admin
with the same results. Any ideas?

This is a private OBS instance running OBS 2.7.2.

Can you try with

osc meta prj -e ...

? Does it show the same error?

--

Adrian Schroeter
email: adrian@xxxxxxx

SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284
(AG Nürnberg)

Maxfeldstraße 5
90409 Nürnberg
Germany


--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >